Game Develop C++ Platform: GDpriv::StringTools Namespace Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Functions
GDpriv::StringTools Namespace Reference

Tools only meant to be used by GD events generated code. More...

## Functions

string GD_API | SubStr (const std::string &str, size_t start, size_t length)
string GD_API | StrAt (const std::string &str, size_t pos)
unsigned int GD_API | StrLen (const std::string &str)
int GD_API | StrFind (const std::string &str, const std::string &findwhat)
int GD_API | StrRFind (const std::string &str, const std::string &findwhat)
int GD_API | StrFindFrom (const std::string &str, const std::string &findwhat, unsigned int start)
int GD_API | StrRFindFrom (const std::string &str, const std::string &findwhat, unsigned int start)
std::string GD_API | NewLine ()

## Detailed Description

Tools only meant to be used by GD events generated code.

## Function Documentation

std::string GD_API GDpriv::StringTools::StrAt | ( | const std::string & | str,
|  | size_t | pos
| ) |  |

Expression function for getting a character from a string

int GD_API GDpriv::StringTools::StrFind | ( | const std::string & | str,
|  | const std::string & | findwhat
| ) |  |

Expression function for finding a string in another

int GD_API GDpriv::StringTools::StrFindFrom | ( | const std::string & | str,
|  | const std::string & | findwhat,
|  | unsigned int | start
| ) |  |

Expression function for finding a string in another

unsigned int GD_API GDpriv::StringTools::StrLen | ( | const std::string & | str) |  |

Expression function for getting a substring from a string

int GD_API GDpriv::StringTools::StrRFind | ( | const std::string & | str,
|  | const std::string & | findwhat
| ) |  |

Expression function for finding a string in another

int GD_API GDpriv::StringTools::StrRFindFrom | ( | const std::string & | str,
|  | const std::string & | findwhat,
|  | unsigned int | start
| ) |  |

Expression function for finding a string in another

std::string GD_API GDpriv::StringTools::SubStr | ( | const std::string & | str,
|  | size_t | start,
|  | size_t | length
| ) |  |

Expression function for getting a substring from a string